varying vec3 Normal;
uniform sampler2D colorMap;

void main(void)
{
	float NdotL;
	vec3 N, L, halbVector;
	vec4 color, diffuse, ambient, specular;
	
	color = vec4(0.0, 0.0, 0.0, 0.0);
	
	N = normalize(Normal);
	for(int i=0; i<3; i++){
		L = normalize(vec3(gl_LightSource[i].position));
		halbVector = normalize(gl_LightSource[i].halfVector.xyz);
		
		NdotL = max(dot(N,L),0.0);


		ambient = gl_FrontMaterial.ambient * gl_LightSource[i].ambient;
		ambient += gl_LightModel.ambient * gl_FrontMaterial.ambient;
		
		diffuse = gl_FrontMaterial.diffuse * gl_LightSource[i].diffuse * NdotL;
		
		specular = gl_LightSource[i].specular * gl_FrontMaterial.specular * pow(max(dot(N, halbVector),0.0), gl_FrontMaterial.shininess);
		
		
		color += ambient + diffuse + specular;
	}
	gl_FragColor = color + texture2D( colorMap, gl_TexCoord[0].st);;
}

          
